'use client'
import { AuthContext, AuthProps } from "@/providers/providers";
import { ReactNode, createContext } from "react"

type Props = {
    children?:ReactNode;
    authProps:AuthProps
}


export default function ClientAuthHandler(props:Props){
    
    return (
        <AuthContext.Provider value={props.authProps}>{props.children}</AuthContext.Provider>
    )
}